# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/ResourceDatabase.hpp File Reference

`#include <vlCore/Object.hpp>`
`#include <vlCore/String.hpp>`
`#include <vector>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | vl::ResourceDatabase
| The ResourceDatabase class contains and manipulates a set of resources. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

VLCORE_EXPORT bool | vl::canLoad (const String &path)
| Short version of defLoadWriterManager()->canLoad(path).
VLCORE_EXPORT bool | vl::canWrite (const String &path)
| Short version of defLoadWriterManager()->canWrite(path).
VLCORE_EXPORT bool | vl::canLoad (VirtualFile *file)
| Short version of defLoadWriterManager()->canLoad(file).
VLCORE_EXPORT bool | vl::canWrite (VirtualFile *file)
| Short version of defLoadWriterManager()->canWrite(file).
VLCORE_EXPORT ref < ResourceDatabase > | vl::loadResource (const String &path, bool quick=true)
| Short version of defLoadWriterManager()->loadResource(path, quick).
VLCORE_EXPORT ref < ResourceDatabase > | vl::loadResource (VirtualFile *file, bool quick=true)
| Short version of defLoadWriterManager()->loadResource(file, quick).
VLCORE_EXPORT bool | vl::writeResource (const String &path, ResourceDatabase *resource)
| Short version of defLoadWriterManager()->writeResource(path, resource).
VLCORE_EXPORT bool | vl::writeResource (VirtualFile *file, ResourceDatabase *resource)
| Short version of defLoadWriterManager()->writeResource(file, resource).

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:49.
Permission is granted to use this page to write and publish articles regarding Visualization Library.